- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::Filter Class Reference

Class for the filter. More...

`#include <IpFilter.hpp>`

List of all members.

## Public Member Functions
bool | Acceptable (std::vector< Number > vals) const
| Check acceptability of given coordinates with respect to the filter.
void | AddEntry (std::vector< Number > vals, Index iteration)
| Add filter entry for given coordinates.
void | Clear ()
| Delete all filter entries.
void | Print (const Journalist &jnlst)
| Print current filter entries.
Constructors/Destructors
| Filter (Index dim)
| Default Constructor.
| ~Filter ()
| Default Destructor.
Wrappers for 2-dimensional filter.
bool | Acceptable (Number val1, Number val2) const
void | AddEntry (Number val1, Number val2, Index iteration)
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| Filter ()
| Default Constructor.
| Filter (const Filter &)
| Copy Constructor.
void | operator= (const Filter &)
| Overloaded Equals Operator.
## Private Attributes
Index | dim_
| Dimension of the filter (number of coordinates per entry).
std::list< FilterEntry * > | filter_list_
| List storing the filter entries.

## Detailed Description

Class for the filter.

This class contains all filter entries. The entries are stored as the corner point, including the margin.

Definition at line 111 of file IpFilter.hpp.

## Constructor & Destructor Documentation

Ipopt::Filter::Filter | ( | Index | dim | ) |

Default Constructor.

Ipopt::Filter::~Filter | ( |  | ) | `[inline]`

Default Destructor.

Definition at line 119 of file IpFilter.hpp.

References Clear().

Ipopt::Filter::Filter | ( |  | ) | `[private]`

Default Constructor.

Ipopt::Filter::Filter | ( | const Filter & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

bool Ipopt::Filter::Acceptable | ( | std::vector< Number > | vals | ) | const

Check acceptability of given coordinates with respect to the filter.

Returns true, if pair is acceptable

Referenced by Acceptable().

void Ipopt::Filter::AddEntry | ( | std::vector< Number > | vals,
|  | Index | iteration |
| ) |  |  |

Add filter entry for given coordinates.

This will also delete all dominated entries in the current filter.

Referenced by AddEntry().

bool Ipopt::Filter::Acceptable | ( | Number | val1,
|  | Number | val2 |
| ) |  |  | const`[inline]`

Definition at line 137 of file IpFilter.hpp.

References Acceptable().

void Ipopt::Filter::AddEntry | ( | Number | val1,
|  | Number | val2,
|  | Index | iteration |
| ) |  |  | `[inline]`

Definition at line 146 of file IpFilter.hpp.

References AddEntry().

void Ipopt::Filter::Clear | ( |  | ) |

Delete all filter entries.

Referenced by ~Filter().

void Ipopt::Filter::Print | ( | const Journalist & | jnlst | ) |

Print current filter entries.

void Ipopt::Filter::operator= | ( | const Filter & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

Index Ipopt::Filter::dim_`[private]`

Dimension of the filter (number of coordinates per entry).

Definition at line 181 of file IpFilter.hpp.

std::list<FilterEntry*> Ipopt::Filter::filter_list_`[mutable, private]`

List storing the filter entries.

Definition at line 184 of file IpFilter.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/Algorithm/IpFilter.hpp